commit: 53a4201a35390ded8325aac4569521991280f660
Author: Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Mon May 10 12:29:22 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 10 21:56:33 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53a4201a
dev-python/paste: Port to python3.10
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/paste/paste-3.5.0.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/dev-python/paste/paste-3.5.0.ebuild
b/dev-python/paste/paste-3.5.0.ebuild
index a6676874a12..541b33f53a1 100644
--- a/dev-python/paste/paste-3.5.0.ebuild
+++ b/dev-python/paste/paste-3.5.0.ebuild
@@ -4,7 +4,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{7..9} pypy3 )
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
inherit distutils-r1
@@ -30,7 +30,7 @@ python_prepare_all() {
-i tests/test_httpserver.py || die
# Remove a test that runs against the paste website.
- rm -f tests/test_proxy.py || die
+ rm tests/test_proxy.py || die
distutils-r1_python_prepare_all
}
@@ -38,5 +38,5 @@ python_prepare_all() {
python_install_all() {
distutils-r1_python_install_all
- find "${D}" -name '*.pth' -delete || die
+ find "${ED}" -name '*.pth' -delete || die
}